Opus audio codec (RFC 6716): API and operations manual
1.2.1

- Main Page
- Modules
- Files

Macros
Error codes

## Macros

#define | OPUS_OK
| No error. More...
#define | OPUS_BAD_ARG
| One or more invalid/out of range arguments. More...
#define | OPUS_BUFFER_TOO_SMALL
| Not enough bytes allocated in the buffer. More...
#define | OPUS_INTERNAL_ERROR
| An internal error was detected. More...
#define | OPUS_INVALID_PACKET
| The compressed data passed is corrupted. More...
#define | OPUS_UNIMPLEMENTED
| Invalid/unsupported request number. More...
#define | OPUS_INVALID_STATE
| An encoder or decoder structure is invalid or already freed. More...
#define | OPUS_ALLOC_FAIL
| Memory allocation has failed. More...

## Detailed Description

## Macro Definition Documentation

#define OPUS_ALLOC_FAIL

Memory allocation has failed.

#define OPUS_BAD_ARG

One or more invalid/out of range arguments.

#define OPUS_BUFFER_TOO_SMALL

Not enough bytes allocated in the buffer.

#define OPUS_INTERNAL_ERROR

An internal error was detected.

#define OPUS_INVALID_PACKET

The compressed data passed is corrupted.

#define OPUS_INVALID_STATE

An encoder or decoder structure is invalid or already freed.

#define OPUS_OK

No error.

#define OPUS_UNIMPLEMENTED

Invalid/unsupported request number.

For more information visit the Opus Website. |